{article_id}: Retrieve an article by ID

API: doaj.org:doaj-api
Endpoint: /articles/{article_id}
Response format: application/json
Auth: unknown
Method: GET
Last Status: 404
Latency: 165ms

Description

Retrieve a specific article by its DOAJ article ID. This endpoint is public and does not require authentication, though providing an API key grants access to additional non-public records.

Parameters (2)

api_key (string, query, optional)

Optional API key. Providing a key grants access to records of yours that are not public, in addition to all public records.

article_id (string, path, required)

DOAJ article ID. E.g. 4cf8b72139a749c88d043129f00e1b07

Examples (1)

Get public article by ID curl
curl 'https://doaj.org/api/v1/articles/0001234567890abcdef' \
  -d '{"status": "not_found", "error": " (ref: 28d13e20-1ffe-11f1-9958-dfa02bbfd54c)"}'
import requests

resp = requests.get(
    "https://doaj.org/api/v1/articles/0001234567890abcdef",
    json={
        'status': 'not_found',
        'error': ' (ref: 28d13e20-1ffe-11f1-9958-dfa02bbfd54c)',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("doaj")
result = api.fetch("articles/{article_id}")

for item in result:
    print(item)
const body = {
  "status": "not_found",
  "error": " (ref: 28d13e20-1ffe-11f1-9958-dfa02bbfd54c)"
};

const resp = await fetch("https://doaj.org/api/v1/articles/0001234567890abcdef", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:24:08.549476 404 165ms
2026-04-16 02:09:04.468705 404 219ms
2026-04-15 02:39:41.093514 404 19259ms
2026-04-14 02:21:11.454954 404 257ms
2026-04-12 16:53:02.094153 404 181ms
2026-04-10 00:44:40.662512 404 126ms
2026-04-09 00:19:37.418257 404 166ms
2026-04-08 00:11:08.287894 404 217ms
2026-04-07 01:25:49.627094 404 207ms
2026-04-06 05:53:56.343621 404 208ms
2026-04-05 14:39:16.138490 404 236ms
2026-04-05 00:04:37.757726 404 259ms
2026-04-04 02:27:00.205349 404 172ms
2026-04-03 13:25:53.075012 404 219ms
2026-03-30 02:31:48.570084 404 238ms
2026-03-29 13:26:59.064300 404 217ms
2026-03-23 09:02:03.210829 404 147ms